Skip to main content
GET
/
cards
/
{card_id}
/
widget_token
Get a widget access token
curl --request GET \
  --url https://api.synctera.com/v1/cards/{card_id}/widget_token \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.synctera.com/v1/cards/{card_id}/widget_token"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.synctera.com/v1/cards/{card_id}/widget_token', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "tenant": "abcdef_ghijkl",
  "widget_token": "0b0319e2-d5f4-49cb-b426-9ff9b2e96969"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}
{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}
{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}
{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}
{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string

An idempotency key is an arbitrary unique value generated by client to detect subsequent retries of the same request. It is recommended that a UUID or a similar random identifier be used as an idempotency key. A different key must be used for each request, unless it is a retry.

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

Path Parameters

card_id
string<uuid>
required

The unique identifier of a card

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

Query Parameters

widget_type
enum<string>
required
Available options:
ACTIVATE,
GET_PIN,
REVEAL,
SET_PIN

Response

Client token

tenant
string
required

The id of the tenant containing the resource.

Example:

"abcdef_ghijkl"

widget_token
string
required

A short-lived, one-time token for use with Synctera widgets

Example:

"0b0319e2-d5f4-49cb-b426-9ff9b2e96969"